import 'package:flutter/widgets.dart';
import 'package:i18nu/i18nu.dart';

class HomePageL10n {
  const HomePageL10n(this.l10n);

  final L10n l10n;

  static HomePageL10n of(BuildContext context) =>
      HomePageL10n(L10n.of(context));

  String get title => l10n.localize('homepage:title');

  String today(DateTime date) =>
      l10n.localize('homepage:today', arguments: {'date': date});

  String hello({String name, String world}) => l10n.localize(
        'homepage:helloMessage',
        arguments: {'name': name, 'world': world},
      );

  String gendered(String gender) =>
      l10n.localize('homepage:genderMessage', context: gender);
}

class CounterL10n {
  const CounterL10n(this.l10n);

  final L10n l10n;

  static CounterL10n of(BuildContext context) => CounterL10n(L10n.of(context));

  String clicked(int count) => l10n.localize('counter:clicked', count: count);

  String get clickMe => l10n.localize('counter:clickMe');

  String get resetCounter => l10n.localize('counter:resetCounter');
}
